using System;
using System.IO;
using System.Security.Principal;

namespace WindowsIdentityDemo
{
	class WindowsIdentityTest
	{
		static void Main(string[] args)
		{
			WindowsIdentity currentIdentity = WindowsIdentity.GetCurrent();
			Console.WriteLine("Current Windows user is: " + currentIdentity.Name);

			if (currentIdentity.Name.ToLower().EndsWith("\\guest"))
			{
				Console.WriteLine("User 'guest' is not allowed to run this program!");
			} 
			else 
			{
				// Create some file
				StreamWriter textFile = File.CreateText("c:\\FileAccessDemo.txt");
				textFile.WriteLine("File Access Demo created this file!");
				textFile.Close();
				Console.WriteLine("File created.");
			}
			Console.ReadLine();
		}
	}
}
